New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

GHCJS Execute.hs: Non-exhaustive patterns in lambda #1591

Closed
k-bx opened this Issue Jan 2, 2016 · 4 comments

Comments

Projects
None yet
2 participants
@k-bx
Contributor

k-bx commented Jan 2, 2016

I recently added stack support to reflex-todomvc. If you clone the ghcjs-improved-base -- you can build it. It's on lts-3.13 snapshot.

But! If you change snapshot to 3.20 -- here's what you'll get:

➜  reflex-todomvc git:(ghcjs-improved-base) ✗ stack build -v
Version 1.0.0 x86_64
2016-01-02 23:03:04.142485: [debug] Checking for project config at: /Users/kb/workspace/reflex-todomvc/stack.yaml @(stack_K1kniaHYGIIAOnuRhqejxt:Stack.Config src/Stack/Config.hs:577:9)
2016-01-02 23:03:04.145674: [debug] Loading project config file stack.yaml @(stack_K1kniaHYGIIAOnuRhqejxt:Stack.Config src/Stack/Config.hs:600:13)
2016-01-02 23:03:04.146892: [debug] Trying to decode /Users/kb/.stack/indices/Hackage/00-index.cache @(stack_K1kniaHYGIIAOnuRhqejxt:Data.Binary.VersionTagged src/Data/Binary/Version
Tagged.hs:55:5)
2016-01-02 23:03:04.425278: [debug] Success decoding /Users/kb/.stack/indices/Hackage/00-index.cache @(stack_K1kniaHYGIIAOnuRhqejxt:Data.Binary.VersionTagged src/Data/Binary/Version
Tagged.hs:64:13)
2016-01-02 23:03:04.485275: [debug] Run process: ghcjs  @(stack_K1kniaHYGIIAOnuRhqejxt:System.Process.Read src/System/Process/Read.hs:267:3)
2016-01-02 23:03:04.562404: [debug] Run process: ghcjs --version @(stack_K1kniaHYGIIAOnuRhqejxt:System.Process.Read src/System/Process/Read.hs:267:3)
2016-01-02 23:03:04.589867: [debug] Run process: ghcjs-pkg --no-user-package-db field --simple-output Cabal version @(stack_K1kniaHYGIIAOnuRhqejxt:System.Process.Read src/System/Pro
cess/Read.hs:267:3)
2016-01-02 23:03:04.621317: [debug] Run process: ghcjs-pkg --no-user-package-db list --global @(stack_K1kniaHYGIIAOnuRhqejxt:System.Process.Read src/System/Process/Read.hs:267:3)
2016-01-02 23:03:04.653835: [debug] Checking resolver: lts-3.20 @(stack_K1kniaHYGIIAOnuRhqejxt:Stack.Build.Source src/Stack/Build/Source.hs:164:17)
2016-01-02 23:03:04.653971: [debug] Trying to decode /Users/kb/.stack/build-plan-cache/x86_64-osx/lts-3.20.cache @(stack_K1kniaHYGIIAOnuRhqejxt:Data.Binary.VersionTagged src/Data/Bi
nary/VersionTagged.hs:55:5)
2016-01-02 23:03:04.661730: [debug] Success decoding /Users/kb/.stack/build-plan-cache/x86_64-osx/lts-3.20.cache @(stack_K1kniaHYGIIAOnuRhqejxt:Data.Binary.VersionTagged src/Data/Bi
nary/VersionTagged.hs:64:13)
2016-01-02 23:03:04.727882: [debug] Run process: ghcjs-pkg --global --no-user-package-db dump --expand-pkgroot @(stack_K1kniaHYGIIAOnuRhqejxt:System.Process.Read src/System/Process/
Read.hs:267:3)
2016-01-02 23:03:04.766371: [warn] Ignoring that the GHCJS boot package "aeson" has a different version, 0.9.0.1, than the resolver's wanted version, 0.8.0.2 @(stack_K1kniaHYGIIAOnu
Rhqejxt:Stack.Build.Installed src/Stack/Build/Installed.hs:179:9)
2016-01-02 23:03:04.766789: [warn] Ignoring that the GHCJS boot package "attoparsec" has a different version, 0.13.0.1, than the resolver's wanted version, 0.12.1.6 @(stack_K1kniaHY
GIIAOnuRhqejxt:Stack.Build.Installed src/Stack/Build/Installed.hs:179:9)
2016-01-02 23:03:04.766902: [warn] Ignoring that the GHCJS boot package "scientific" has a different version, 0.3.3.8, than the resolver's wanted version, 0.3.4.4 @(stack_K1kniaHYGI
IAOnuRhqejxt:Stack.Build.Installed src/Stack/Build/Installed.hs:179:9)
2016-01-02 23:03:04.766986: [warn] Ignoring that the GHCJS boot package "case-insensitive" has a different version, 1.2.0.4, than the resolver's wanted version, 1.2.0.5 @(stack_K1kn
iaHYGIIAOnuRhqejxt:Stack.Build.Installed src/Stack/Build/Installed.hs:179:9)
2016-01-02 23:03:04.767217: [warn] Ignoring that the GHCJS boot package "hashable" has a different version, 1.2.3.2, than the resolver's wanted version, 1.2.3.3 @(stack_K1kniaHYGIIA
OnuRhqejxt:Stack.Build.Installed src/Stack/Build/Installed.hs:179:9)
2016-01-02 23:03:04.767562: [warn] Ignoring that the GHCJS boot package "async" has a different version, 2.0.1.6, than the resolver's wanted version, 2.0.2 @(stack_K1kniaHYGIIAOnuRh
qejxt:Stack.Build.Installed src/Stack/Build/Installed.hs:179:9)
2016-01-02 23:03:04.767680: [warn] Ignoring that the GHCJS boot package "vector" has a different version, 0.11.0.0, than the resolver's wanted version, 0.10.12.3 @(stack_K1kniaHYGII
AOnuRhqejxt:Stack.Build.Installed src/Stack/Build/Installed.hs:179:9)
2016-01-02 23:03:04.767793: [warn] Ignoring that the GHCJS boot package "text" has a different version, 1.2.1.1, than the resolver's wanted version, 1.2.2.0 @(stack_K1kniaHYGIIAOnuR
hqejxt:Stack.Build.Installed src/Stack/Build/Installed.hs:179:9)
2016-01-02 23:03:04.767991: [warn] Ignoring that the GHCJS boot package "stm" has a different version, 2.4.4, than the resolver's wanted version, 2.4.4.1 @(stack_K1kniaHYGIIAOnuRhqe
jxt:Stack.Build.Installed src/Stack/Build/Installed.hs:179:9)
2016-01-02 23:03:04.768174: [warn] Ignoring that the GHCJS boot package "dlist" has a different version, 0.7.1.1, than the resolver's wanted version, 0.7.1.2 @(stack_K1kniaHYGIIAOnu
Rhqejxt:Stack.Build.Installed src/Stack/Build/Installed.hs:179:9)
2016-01-02 23:03:04.768250: [debug] Ignoring package Cabal due to wanting version 1.22.6.0 instead of 1.22.4.0 @(stack_K1kniaHYGIIAOnuRhqejxt:Stack.Build.Installed src/Stack/Build/I
nstalled.hs:189:5)
2016-01-02 23:03:04.768391: [warn] Ignoring that the GHCJS boot package "pretty" has a different version, 1.1.3.2, than the resolver's wanted version, 1.1.2.0 @(stack_K1kniaHYGIIAOn
uRhqejxt:Stack.Build.Installed src/Stack/Build/Installed.hs:179:9)
2016-01-02 23:03:04.768457: [warn] Ignoring that the GHCJS boot package "containers" has a different version, 0.5.6.3, than the resolver's wanted version, 0.5.6.2 @(stack_K1kniaHYGI
IAOnuRhqejxt:Stack.Build.Installed src/Stack/Build/Installed.hs:179:9)
2016-01-02 23:03:04.778165: [warn] Ignoring that the GHCJS boot package "transformers" has a different version, 0.4.3.0, than the resolver's wanted version, 0.4.2.0 @(stack_K1kniaHY
GIIAOnuRhqejxt:Stack.Build.Installed src/Stack/Build/Installed.hs:179:9)
2016-01-02 23:03:04.778602: [debug] Run process: ghcjs-pkg --user --no-user-package-db --package-db /Users/kb/.stack/snapshots/x86_64-osx/lts-3.20/ghcjs-0.2.0.20151029_ghc-7.10.2/pk
gdb dump --expand-pkgroot @(stack_K1kniaHYGIIAOnuRhqejxt:System.Process.Read src/System/Process/Read.hs:267:3)
2016-01-02 23:03:04.803828: [debug] Run process: ghcjs-pkg --user --no-user-package-db --package-db /Users/kb/workspace/reflex-todomvc/.stack-work/install/x86_64-osx/lts-3.20/ghcjs-
0.2.0.20151029_ghc-7.10.2/pkgdb dump --expand-pkgroot @(stack_K1kniaHYGIIAOnuRhqejxt:System.Process.Read src/System/Process/Read.hs:267:3)
2016-01-02 23:03:04.863719: [debug] Trying to decode /Users/kb/.stack/indices/Hackage/00-index.cache @(stack_K1kniaHYGIIAOnuRhqejxt:Data.Binary.VersionTagged src/Data/Binary/Version
Tagged.hs:55:5)
2016-01-02 23:03:05.202913: [debug] Success decoding /Users/kb/.stack/indices/Hackage/00-index.cache @(stack_K1kniaHYGIIAOnuRhqejxt:Data.Binary.VersionTagged src/Data/Binary/Version
Tagged.hs:64:13)
2016-01-02 23:03:05.722922: [debug] Run process: ghcjs-pkg --no-user-package-db list --global @(stack_K1kniaHYGIIAOnuRhqejxt:System.Process.Read src/System/Process/Read.hs:267:3)
2016-01-02 23:03:05.746994: [info] dependent-sum-0.2.1.0: copying precompiled package @(stack_K1kniaHYGIIAOnuRhqejxt:Stack.Build.Execute src/Stack/Build/Execute.hs:668:23)
2016-01-02 23:03:05.748080: [info] file-embed-0.0.9: copying precompiled package @(stack_K1kniaHYGIIAOnuRhqejxt:Stack.Build.Execute src/Stack/Build/Execute.hs:668:23)
2016-01-02 23:03:05.748274: [info] data-default-class-0.0.1: copying precompiled package @(stack_K1kniaHYGIIAOnuRhqejxt:Stack.Build.Execute src/Stack/Build/Execute.hs:668:23)
2016-01-02 23:03:05.748535: [debug] Run process: ghc-pkg unregister --force dependent-sum-0.2.1.0 @(stack_K1kniaHYGIIAOnuRhqejxt:System.Process.Read src/System/Process/Read.hs:267:3
)
2016-01-02 23:03:05.788197: [info] nats-1: copying precompiled package @(stack_K1kniaHYGIIAOnuRhqejxt:Stack.Build.Execute src/Stack/Build/Execute.hs:668:23)
2016-01-02 23:03:05.788639: [debug] Run process: ghc-pkg unregister --force file-embed-0.0.9 @(stack_K1kniaHYGIIAOnuRhqejxt:System.Process.Read src/System/Process/Read.hs:267:3)
2016-01-02 23:03:05.826937: [debug] Run process: ghc-pkg unregister --force data-default-class-0.0.1 @(stack_K1kniaHYGIIAOnuRhqejxt:System.Process.Read src/System/Process/Read.hs:26
7:3)
2016-01-02 23:03:05.866088: [debug] Run process: ghc-pkg unregister --force nats-1 @(stack_K1kniaHYGIIAOnuRhqejxt:System.Process.Read src/System/Process/Read.hs:267:3)
Progress: 4/44src/Stack/Build/Execute.hs:999:22-65: Non-exhaustive patterns in lambda


src/Stack/Build/Execute.hs:999:22-65: Non-exhaustive patterns in lambda


src/Stack/Build/Execute.hs:999:22-65: Non-exhaustive patterns in lambda


src/Stack/Build/Execute.hs:999:22-65: Non-exhaustive patterns in lambda
@k-bx

This comment has been minimized.

Contributor

k-bx commented Jan 2, 2016

➜  reflex-todomvc git:(ghcjs-improved-base) ✗ stack --version
Version 1.0.0 x86_64

@k-bx k-bx closed this Jan 2, 2016

@k-bx

This comment has been minimized.

Contributor

k-bx commented Jan 2, 2016

Sorry, the problem was that ghc-pkg wasn't in my PATH. I mean, this is still a stack issue as well (since it'd work for globally-installed ghc), but I guess it's so minor that we can skip it for now?

mgsloan added a commit that referenced this issue Jan 3, 2016

mgsloan added a commit that referenced this issue Jan 3, 2016

Enable more warnings
Would have prevented #1591
@mgsloan

This comment has been minimized.

Collaborator

mgsloan commented Jan 3, 2016

Thanks for reporting this! I've fixed the issue and enabled some warnings not included in -Wall. In particular, this is caught by -fwarn-incomplete-uni-patterns.

@k-bx

This comment has been minimized.

Contributor

k-bx commented Jan 3, 2016

👍 thank you!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment